.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "ALTER" "l" "02 July 1999" "SQL - Language Statements" ""
.SH NAME
ALTER USER \- Modifies user account information
.SH SYNOPSIS
1998-09-08

.nf
ALTER USER \fIusername\fR
    [ WITH PASSWORD \fIpassword\fR ]
    [ CREATEDB | NOCREATEDB ]
    [ CREATEUSER | NOCREATEUSER ]
    [ IN GROUP \fIgroupname\fR [, ...] ]
    [ VALID UNTIL '\fIabstime\fR' ]
    
.fi
.SS      "INPUTS"
.PP
Refer to \fBCREATE USER\fR for a detailed description of each
clause.
.TP
\fB  \fI username \fB \fR
The Postgres account name of the user whose details are to be altered.
.TP
\fB  \fI password \fB \fR
The new password to be used for this account.
.TP
\fB  \fI groupname \fB \fR
The name of an access group into which this account is to be put.
.TP
\fB  \fI abstime \fB \fR
The date (and, optionally, the time)
at which this user's access is to be terminated.
.SS      "OUTPUTS"
.PP
.TP
\fB       ALTER USER \fR
Message returned if the alteration was successful.
.TP
\fB       ERROR: alterUser: user "username" does not exist \fR
Error message returned if the user specified doesn't
exist.
.SH     "DESCRIPTION"
.PP
\fBALTER USER\fR is used to change the attributes of a user's
Postgres account.
Please note that it is not possible
to alter a user's "usesysid" via the alter user
statement. Also, it is only possible for the
Postgres
user or any user with read and modify permissions on
"pg_shadow" to alter user passwords.
.PP
If any of the clauses of the alter user statement are
omitted, the corresponding value in the "pg_shadow" table
is left unchanged.
.SS      "NOTES"
.PP
\fBALTER USER\fR statement
is a Postgres
language extension.
.PP
Refer to \fBCREATE/DROP USER\fR
to create or remove a user
account.
.PP
In the current release (v6.5), the IN GROUP clause is parsed
but has no affect.  When it is fully implemented, it is
intended to modify the pg_group relation.
.SH     "USAGE"
.PP
Change a user password

.nf
ALTER USER davide WITH PASSWORD hu8jmn3;
    
.fi
.PP
Change a user's valid until date

.nf
ALTER USER manuel VALID UNTIL 'Jan 31 2030';
    
.fi
.PP
Change a user's valid until date, specifying that his
authorisation should expire at midday on 4th May 1998 using
the time zone which is one hour ahead of UTC

.nf
ALTER USER chris VALID UNTIL 'May 4 12:00:00 1998 +1';
    
.fi
.PP
Give a user the ability to create other users and new databases.

.nf
ALTER USER miriam CREATEUSER CREATEDB;
    
.fi
.PP
Place a user in two groups

.nf
ALTER USER miriam IN GROUP sales, payroll;
    
.fi
.SH     "COMPATIBILITY"
.PP
.SS      "SQL92"
.PP
There is no \fBALTER USER\fR statement in
SQL92.
The standard leaves
the definition of users to the implementation.
