.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "DELETE" "l" "02 July 1999" "SQL - Language Statements" ""
.SH NAME
DELETE \- Deletes rows from a table
.SH SYNOPSIS
1998-04-15

.nf
   DELETE FROM \fItable\fR [ WHERE \fIcondition\fR ]
  
.fi
.SS    "INPUTS"
.PP
.TP
\fB   \fItable\fB \fR
The name of an existing table.
.TP
\fB   \fIcondition\fB \fR
This is an SQL selection query which returns the rows which
are to be deleted.

Refer to the SELECT statement for further description
of the WHERE clause.
.SS    "OUTPUTS"
.PP
.TP
\fB    DELETE \fIcount\fB \fR
Message returned if items are successfully deleted. The
\fIcount\fR is the number
of rows deleted.

If \fIcount\fR is 0,
no rows were deleted.
.SH   "DESCRIPTION"
.PP
DELETE removes rows which satisfy the WHERE \fIcondition\fR,
from the specified table.
.PP
If the \fIcondition\fR is absent,
the effect is to delete all rows in the table.
The result is a valid, but empty table.
.PP
You must have write access to the table in order to modify
it, as well as read access to any table whose values are
read in the \fIcondition\fR.
.SH   "USAGE"
.PP
Remove all films but musicals:

.nf
DETETE FROM films WHERE kind  'Musical';

SELECT * FROM films;

code |title                    |did| date_prod|kind      |len
-----+-------------------------+---+----------+----------+------
UA501|West Side Story          |105|1961-01-03|Musical   | 02:32
TC901|The King and I           |109|1956-08-11|Musical   | 02:13
WD101|Bed Knobs and Broomsticks|111|          |Musical   | 01:57
(3 rows)
  
.fi
.PP
Clear the table films:

.nf
DELETE FROM films;
   
SELECT * FROM films;
code|title|did|date_prod|kind|len
----+-----+---+---------+----+---
(0 rows)
  
.fi
.SH   "COMPATIBILITY"
.PP
.SS    "SQL92"
.PP
SQL92 allows a positioned DELETE statement:

.nf
DELETE FROM \fItable\fR WHERE CURRENT OF \fIcursor\fR
   
.fi
.PP
where \fIcursor\fR identifies an open cursor. Interactive cursors in Postgres are read-only.
