.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "EXPLAIN" "l" "02 July 1999" "SQL - Language Statements" ""
.SH NAME
EXPLAIN \- Shows statement execution details
.SH SYNOPSIS
1998-09-01

.nf
EXPLAIN [ VERBOSE ] \fIquery\fR        
.fi
.SS 
"INPUTS"
.PP
.TP
\fBVERBOSE\fR
Flag to show detailed query plan.
.TP
\fB\fIquery\fB\fR
Any \fIquery\fR.
.SS 
"OUTPUTS"
.PP
.TP
\fBNOTICE:  QUERY PLAN: \fIplan\fB\fR
Explicit query plan from the Postgres backend.
.TP
\fBEXPLAIN\fR
Flag sent after query plan is shown.
.SH 
"DESCRIPTION"
.PP
This command outputs details about the supplied query.
The default output is the computed query cost. 
The cost value is only meaningful to the optimizer in comparing
various query plans.
VERBOSE displays the full query plan and cost to your screen,
and pretty-prints the plan to the postmaster log file.   
.SS 
"NOTES"
.PP
There is only sparse documentation on the optimizer's use of cost
information in Postgres.
General information on cost estimation for query optimization
can be found in database textbooks.
Refer to the \fIProgrammer's Guide\fR
in the chapters on indexes and the genetic query optimizer for
more information.
.SH "USAGE"
.PP
To show a query plan for a simple query:

.nf
postgres=> explain select * from foo;
NOTICE:  QUERY PLAN:

Seq Scan on foo  (cost=0.00 rows=0 width=4)

EXPLAIN
.fi
.SH "COMPATIBILITY"
.PP
.SS 
"SQL92"
.PP
There is no EXPLAIN statement defined in SQL92.
