.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "LISTEN" "l" "02 July 1999" "SQL - Language Statements" ""
.SH NAME
LISTEN \- Listen for notification on a notify condition
.SH SYNOPSIS
1998-10-07

.nf
LISTEN \fInotifyname\fR
.fi
.SS    "INPUTS"
.PP
.TP
\fB   \fInotifyname\fB \fR
Name of notify condition.
.SS    "OUTPUTS"
.PP
.TP
\fB     LISTEN \fR
Message returned upon successful completion of registration.
.TP
\fB     NOTICE Async_Listen: We are already listening on notifyname \fR
If this backend is already registered for that notify condition.
.SH  "DESCRIPTION"
.PP
LISTEN registers the current Postgres backend as a
listener on the notify condition
\fInotifyname\fR.
.PP
Whenever the command 
\fBNOTIFY \fInotifyname\fB\fR
is invoked, either by this backend or another one connected to
the same database, all the backends currently listening on that notify
condition are notified, and each will in turn notify its connected
frontend application.  See the discussion of \fBNOTIFY\fR
for more information.
.PP
A backend can be deregistered for a given notify condition with the
\fBUNLISTEN\fR command.  Also, a backend's listen registrations
are automatically cleared when the backend process exits.
.PP
The method a frontend application must use to detect notify events depends on
which Postgres application programming interface it
uses.  With the basic libpq library, the application issues
\fBLISTEN\fR as an ordinary SQL command, and then must
periodically call the routine \fBPQnotifies\fR to find out
whether any notify events have been received.  Other interfaces such as
libpgtcl provide higher-level methods for handling notify events; indeed,
with libpgtcl the application programmer should not even issue
\fBLISTEN\fR or \fBUNLISTEN\fR directly.  See the
documentation for the library you are using for more details.
.PP
The reference page for \fBNOTIFY\fR contains a more extensive
discussion of the use of \fBLISTEN\fR and
\fBNOTIFY\fR.
.SS    "NOTES"
.PP
\fInotifyname\fR
can be any string valid as a name;
it need not correspond to the name of any actual table.  If
\fInotifyname\fR
is enclosed in double-quotes, it need not even be a syntactically
valid name, but can be any string up to 31 characters long.
.PP
In some previous releases of
Postgres,
\fInotifyname\fR
had to be enclosed in double-quotes when it did not correspond to any existing
table name, even if syntactically valid as a name.  That is no longer required.
.SH  "USAGE"
.PP

.nf
		-- Configure and execute a listen/notify sequence from psql
		postgres=> listen virtual;
		LISTEN
		postgres=> notify virtual;
		NOTIFY
		ASYNC NOTIFY of 'virtual' from backend pid '11239' received
	  
.fi
.SH  "COMPATIBILITY"
.SS    "SQL92"
.PP
There is no \fBLISTEN\fR in SQL92.
