.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "MOVE" "l" "02 July 1999" "SQL - Language Statements" ""
.SH NAME
MOVE \- Moves cursor position
.SH SYNOPSIS
1998-09-24

.nf
MOVE [ \fIselector\fR ] [ \fIcount\fR ] 
    { IN | FROM } \fIcursor\fR
FETCH [ RELATIVE ] [ { [ \fI#\fR | ALL | NEXT | PRIOR ] } ] FROM ] \fIcursor\fR
	
.fi
.SH  "DESCRIPTION"
.PP
\fBMOVE\fR allows a user to move cursor position a specified
number of rows.
\fBMOVE\fR works like the \fBFETCH\fR command,
but only positions the cursor and does
not return rows.
.PP
Refer to the \fBFETCH\fR command for details on syntax and usage.
.SS    "NOTES"
.PP
\fBMOVE\fR is a Postgres
language extension.
.PP
Refer to \fBFETCH\fR for a description
of valid arguments.
Refer to \fBDECLARE\fR to declare a cursor.
Refer to \fBBEGIN WORK\fR, \fBCOMMIT WORK\fR,
\fBROLLBACK WORK\fR statements
for further information about transactions.
.SH  "USAGE"
.PP

.nf
		--set up and use a cursor:
		--
		BEGIN WORK;
		DECLARE liahona CURSOR  FOR SELECT * FROM films;
		
		--Skip first 5 rows:
		--
		MOVE FORWARD 5 IN liahona;
				  MOVE
		
		--Fetch 6th row in the cursor liahona:
		--
		FETCH 1 IN liahona;
				  FETCH
		  code |title |did| date_prod|kind      |len
		  -----+------+---+----------+----------+------
		  P_303|48 Hrs|103|1982-10-22|Action    | 01:37
		  (1 row)
		
		-- close the cursor liahona and commit work:
		--
		CLOSE liahona;
		COMMIT WORK;
	  
.fi
.SH  "COMPATIBILITY"
.PP
.SS    "SQL92"
.PP
There is no SQL92 \fBMOVE\fR statement. 
Instead, SQL92 allows
one to \fBFETCH\fR rows from an absolute cursor position,
implicitly moving the cursor to the correct place.
