.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "RESET" "l" "02 July 1999" "SQL - Language Statements" ""
.SH NAME
RESET \- Restores run-time parameters for session to default values
.SH SYNOPSIS
1998-09-24

.nf
RESET \fIvariable\fR
  
.fi
.SS    "INPUTS"
.PP
.TP
\fB       \fIvariable\fB \fR
Refer to the SET statement for more information on available
variables.
.SS    "OUTPUTS"
.PP
.TP
\fB       RESET VARIABLE \fR
Message returned if 
\fIvariable\fR is successfully reset
to its default value..
.SH   "DESCRIPTION"
.PP
\fBRESET\fR restores variables to the
default values.
Refer to the \fBSET\fR command for details on
allowed values and defaults.
\fBRESET\fR is an alternate form for
\fBSET \fIvariable\fB = DEFAULT\fR
.SS    "NOTES"
.PP
The RESET statement is a Postgres
language extension.
.PP
Refer to SET/SHOW statements to set/show variable values.
.SH   "USAGE"
.PP

.nf
-- reset DateStyle to its default;
RESET DateStyle;
   
.fi

.nf
   
-- reset Geqo to its default;
RESET GEQO;
   
.fi
.SH   "COMPATIBILITY"
.SS    "SQL92"
.PP
There is no \fBRESET\fR in SQL92.
