.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "SHOW" "l" "02 July 1999" "SQL - Language Statements" ""
.SH NAME
SHOW \- Shows run-time parameters for session
.SH SYNOPSIS
1998-09-24

.nf
SHOW \fIvariable\fR
  
.fi
.SS    "INPUTS"
.PP
.TP
\fB       \fIvariable\fB \fR
Refer to \fBSET\fR for more information on available
variables.
.SS    "OUTPUTS"
.PP
.TP
\fB       NOTICE: \fI">variab\fBE> is \fIvalue\fB SHOW VARIABLE \fR
Message returned if successfully.
.TP
\fB       NOTICE:  Unrecognized variable \fIvalue\fB \fR
Message returned if value does not exist.
.TP
\fB       NOTICE:  Time zone is unknown SHOW VARIABLE \fR
If the TZ environment variable is not set.
.SH   "DESCRIPTION"
.PP
\fBSHOW\fR will display the current
configuration parameters for
variable during a session.
.PP
The session can be configured using \fBSET\fR statement,
and values
can be restored to the defaults using \fBRESET\fR statement.
Parameters and values are case-insensitive.
.SS    "NOTES"
.PP
The \fBSHOW\fR is a Postgres
language extension.
.PP
Refer to  \fBSET\fR/\fBRESET\fR 
to set/reset variable values.
See also  \fBSET TIME ZONE\fR.
.SH   "USAGE"
.PP

.nf
-- show DateStyle;
SHOW DateStyle;
NOTICE:DateStyle is Postgres with US (NonEuropean) conventions

-- show Geqo;
SHOW GEQO;
NOTICE:GEQO is ON
   
.fi
.SH   "COMPATIBILITY"
.PP
.SS    "SQL92"
.PP
There is no \fBSHOW\fR defined in SQL92.
