.\" This manpage has been automatically generated by docbook2man 
.\" from a DocBook document.  This tool can be found at:
.\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
.\" Please send any bug reports, improvements, comments, patches, 
.\" etc. to Steve Cheng <steve@ggi-project.org>.
.TH "SQL_CURRENT_USER" "l" "02 July 1999" "SQL - Functions" ""
.SH NAME
CURRENT_USER \- Returns the current user name
.SH SYNOPSIS
1998-04-15

.nf
   CURRENT_USER 
  
.fi
.SS    "INPUTS"
.PP
None.
.SS    "OUTPUTS"
.PP
.TP
\fB   \fIusername\fB \fR
The name of the current user.
.SH   "DESCRIPTION"
.PP
The niladic CURRENT_USER function returns a string of type "name"
whose value represents a user name identification.
.SS    "NOTES"
.PP
Data type "name" is a non-standard 31-character type for storing
system identifiers.
.SH   "USAGE"
.PP
Display CURRENT_USER

.nf
   SELECT CURRENT_USER AS who_am_i;

   who_am_i
   ------------
   jose
  
.fi
.SH   "COMPATIBILITY"
.PP
.SS    "SQL92"
.PP
SQL92 specifies some additional niladic USER functions:
.TP
\fBCURRENT_USER / USER\fR
USER is a synonym for CURRENT_USER. 
.TP
\fBSESSION_USER\fR
The SESSION_USER function returns the SQL-session user name.
.TP
\fBSYSTEM_USER\fR
The SYSTEM_USER function returns the database's initial default user.
.PP
A niladic USER function returns a SQL_TEXT character string whose
value represents a user name.
